petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatDenseGetLDA

gets the leading dimension of the array returned from MatDenseGetArray()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseGetLDA(Mat A,PetscInt *lda)

Logically Collective on Mat

### Input Parameter

mat -a MATSEQDENSE or MATMPIDENSE matrix

### Output Parameter

lda -the leading dimension

### See Also

MatDenseGetArray(), MatDenseRestoreArray(), MatDenseGetArrayRead(), MatDenseRestoreArrayRead(), MatSeqDenseSetLDA()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Implementations

MatDenseGetLDA_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetLDA_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages